#include <stdio.h>
#include <assert.h>
#include <set>
#include <map>
#include <climits>

using namespace std;

#define MAXN 100000

int plan(int N, int T, int H[]) {
    // let's store hours modulo T, and for each class of equivalence let's keep only the greatest number
    map<int, int> mod2div;
    for(int i = 0; i < N; i++) {
        mod2div.insert(make_pair(H[i] % T, H[i]));
        if(mod2div[H[i] % T] < H[i]) mod2div[H[i] % T] = H[i];
    }

    int res = INT_MAX, i = 0;
    for(auto it = mod2div.begin(); it != mod2div.end(); ++it, i++) {
        if(it->first != i) return i;    // just in case there is a missing equivalence class
        res = min(res, it->second + T); // time it->second + T is OK, so possibly update the minimum
    }
    return res;
}

int H[MAXN];

int main() {
    FILE *fr, *fw;
    int N, T, i;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    assert(2 == fscanf(fr, "%d %d", &N, &T));
    for(i=0; i<N; i++)
        assert(1 == fscanf(fr, "%d", &H[i]));

    fprintf(fw, "%d\n", plan(N, T, H));
    fclose(fr);
    fclose(fw);
    return 0;
}
