#include <stdio.h>
#include <assert.h>
#include <map>

using namespace std;

#define MAXN 100000

long long premi(int N, int B[]) {
    // let's use map to sort buttons by the associated disk size
    map<int, int> b2i;
    for(int i = 0; i < N; i++) b2i.insert(make_pair(B[i], i));

    // we have to reach all disks, from the biggest to the smallest,
    // so we iterate on the map in reverse order    
    int x = 0;
    long long sum = 0;
    for(auto it = b2i.rbegin(); it != b2i.rend(); ++it) {
        sum += abs(x - it->second);
        x = it->second;
    }
    
    return sum;
}


int B[MAXN];

int main() {
    FILE *fr, *fw;
    int N, i;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    assert(1 == fscanf(fr, "%d", &N));
    for(i=0; i<N; i++)
        assert(1 == fscanf(fr, "%d", &B[i]));

    fprintf(fw, "%lld\n", premi(N, B));
    fclose(fr);
    fclose(fw);
    return 0;
}
