#include <bits/stdc++.h>

using namespace std;

// the map is used to reconstruct the subset:
// * negative values are associated with elements;
// * positive values are associated with intermediate sums.
void generate_sums(int array[], int size, int upper_bound, vector<int>& res, unordered_map<int, pair<int, int>>& decompose) {
    res.push_back(0);
    unordered_set<int> seen = {0};
    for(int i = 0; i < size; i++) {
        for(int j = res.size() - 1; j >= 0; j--) {
            if(array[i] + res[j] < upper_bound && seen.insert(array[i] + res[j]).second) {
                res.push_back(array[i] + res[j]);
                decompose[res.back()] = make_pair(-array[i], res[j]);
            }
        }
    }
}

// traverse back the map and print out the subset
void print(int x, unordered_map<int, pair<int, int>>& m) {
    stack<int> s;
    s.push(x);
    while(!s.empty()) {
        x = s.top();
        s.pop();
        if(x == 0) continue;

        if(m[x].first < 0) cout << -m[x].first << endl;
        else s.push(m[x].first);
        if(m[x].second < 0) cout << -m[x].second << endl;
        else s.push(m[x].second);
    }
}

int main() {
    int n, b;
    cin >> n >> b;
    
    int c[n];
    for(int i = 0; i < n; i++) cin >> c[i];

    // compute sums of the two halves
    vector<int> s1, s2;
    unordered_map<int, pair<int, int>> m1, m2;
    generate_sums(c, n/2, b + 1, s1, m1);
    generate_sums(c + n/2, n - n/2, b + 1, s2, m2);
    
    // sort the sums with different ascending
    sort(s1.begin(), s1.end());
    sort(s2.begin(), s2.end(), greater<int>());

    // find max solution
    int res = 0;
    int x1, x2;
    while(!s1.empty() && !s2.empty()) {
        int s = s1.back() + s2.back();
        if(s > b) { s1.pop_back(); continue; }
        if(s > res) {
            res = s;
            x1 = s1.back();
            x2 = s2.back();
        }
        s2.pop_back();
    }
    
    // print the two subsets that give the max solution
    print(x1, m1);
    print(x2, m2);    
    
    return 0;
}
