#include <stdio.h>
#include <assert.h>
#include <queue>
#include <vector>
#include <functional>

using namespace std;

int main() {
    FILE *fr, *fw;
    int N;

    fr = fopen("input.txt", "r");
    fw = fopen("output.txt", "w");
    fscanf(fr, "%d", &N);
    
    // it's always convenient to sum up the smallest numbers,
    // so let's use a heap to store current numbers
    priority_queue<int, vector<int>, greater<int>> a;
    
    for(int i = 0, x; i < N; i++) {
        fscanf(fr, "%d", &x);
        a.push(x);
    }

    int sum = 0;
    while(a.size() > 1) {
        // sum up the smallest numbers
        int x = a.top();
        a.pop();
        x += a.top();
        a.pop();
        
        // increase the cost, and put back the new number
        sum += x;
        a.push(x);
    }
    
    fprintf(fw, "%d\n", sum);
    
    return 0;
}
